Skip navigation

NIK plugins are not working in LR 4

Mar 6, 2012 6:24 AM

Tags: #lightroom #4 #nik #nik_plugin
  Latest reply: Vincent Vincenzo, Sep 18, 2012 9:27 AM
Replies 1 2 3 4 ... 8 Previous Next
  • Currently Being Moderated
    Mar 7, 2012 7:46 AM   in reply to calsteve@pacbell.net

    I just got the complete NIK collection and Alien Softwares Exposures4.  I will wait to see what happens before upgrading to LR4.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 8:22 AM   in reply to DdeGannes

    In response to DdeGannes, I can assure you that if it is a Nik Software issue, they will fix it very quickly and are working on it. I highly doubt that it is though since none of my Topaz plug-ins work either now. Besides these plug-ins all worked in the beta version of LR4.

    I guess I just take issue with your statement of "What does Nik say, surely its their job." Nik software is so supportive and works quite rapidly on all of their products. They are the best software company I've ever had the pleasure of dealing with. Adobe on the other hand is one nightmare after another!

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 8:28 AM   in reply to Agnus1

    Agnus1 wrote:

     

    In response to DdeGannes, I can assure you that if it is a Nik Software issue, they will fix it very quickly and are working on it. I highly doubt that it is though since none of my Topaz plug-ins work either now. Besides these plug-ins all worked in the beta version of LR4.

    Agreed. Given all the information collected since this issue first appeared, it is obvious that the problem is on Adobe's side. Either they changed the programming interface or they introduced the bug just before releasing the official version.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 8:37 AM   in reply to Julie McLeod

    same here, even exporting into photoshop but I'm using a PC with windows 7.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 8:47 AM   in reply to Andrehilkens

    Looks like this is more of a software manufacturer problem than Adobe's, although I can't understand why NIK software worked in the Beta version and not the final product - are they THAT much different? I'm also having the same problem with my Topaz software. I can still use my NIK and Topaz edits in LR-3. I can also take a photo from LR-4 and insert it into a NIK or Topaz icon and get the photo to come up in it. I make the adjustment, and converts in LR-4. Go figure.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 8:52 AM   in reply to 7thsojourn

    At the suggestion of someone, I installed the trial version of Elements 10 to see if it made a difference since I do not have or use photoshop.  I only use LR4.  Well, after downloading the trial and installing it (not even open it yet), I went to LR4 and all of the NIK software is working fine!

     

    This tells me Adobe is the one who needs to fix this problem.  What a shame to have to download one of their products and take up hard drive space just to have LR4 work properly with NIK but I guess it will be the temporary solution until someone finds the fix or admits the error and who needs to fix it!

     
    |
    Mark as:
  • Currently Being Moderated
    Calculating status...
    Mar 7, 2012 8:57 AM   in reply to Andrehilkens

    after i changed from Adobe 2010 to 2012 in the LR4 develop panel my Nik stuff worked. On your images you will see a little exclamation point that if you clik on it and say upgrade to 2012. I havent issues since but there are other quirks for sure..hope it helps.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 9:09 AM   in reply to CEBImagery

    CEBimagery, it is funny how easy it is for people to think they've found a simple fix for a problem. I wish the fix was as easy as changing the Adobe develop version. Nope, that doesn't do the trick for me, but I'm sure happy it seems to have solved your problem.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 9:17 AM   in reply to Andrehilkens

    I installed the trial version of Elements 10.  I am on a PC windows 7. 

    After installation, all of NIK worked properly.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 9:18 AM   in reply to calsteve@pacbell.net

    NIK has posted updates to their plug-ins for LR 4 compatability.

     

    Jim

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 9:28 AM   in reply to JimGoshorn

    The updates were posted yesterday.  They did not seem to solve any of

    the issues most of are having.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 9:28 AM   in reply to Andrehilkens

    Yes on a Mac 10.7.3  And I am using plugins that do work work in CS5 as well so that may have something to do with it, although is ee some have siad Nik relased updates.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 10:04 AM   in reply to Andrehilkens

    If you are having issues with NIK plug-ins in Lightroom 4, make sure you uninstall the plug-ins, downloaded (from here) the latest updates to NIK, and reinstall.

     

    The following were updated the same day as the LR4 release (3/6/12):

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 10:10 AM   in reply to Brett N

    @ Brett N

     

    I already updated my Nik Silver Efex Pro 2 to v. 2.004 and still unable to invoke it from LR4.  The same for PSE10, which I uninstalled and reinstalled yesterday.  Do you have other suggestions?  I am on 0S 10.7.3. 

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 10:35 AM   in reply to Andrehilkens

    Been up all night trying to get arond this issue, instrall, re-install, different versions etc.......end result, same issues as above    Lightroom 4 and updated nik plugins NOT working......bummed out  ;-(

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 10:44 AM   in reply to Brett N

    @ Brett N

     

    That didn't work.

    None of the plugins (NIK, Topaz, DxO) worked until i installed a trial of Photoshop CS5.

    This is clearly the Adobe's problem.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 10:47 AM   in reply to Julie McLeod

    Hello Julie,

     

      The Silver Efex plug-in for Lightroom merely adds itself to the list of applications you can "Edit In" (under the Photo menu). Does Silver Efex not appear there? Or are you encountering the separate issue of the Edit In function not operating properly. If Silver Efex is listed, then you will want to post your issue here: http://forums.adobe.com/message/4250028#4250028

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 10:58 AM   in reply to Brett N

    @ Brett N

     

    Yes, all my external editors appear in the Photo>Edit In menu.  However, using those commands fails to invoke the external editors, whether Photoshop Elements or Nik or Topaz. 

     

    Thank you for the suggestion but I have already posted in the thread you mentioned.  Like many users, I am quite frustrated that none of the threads seem to be getting the attentiion of Adobe staff. I've also posted in the relevant section at Photoshop.com.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 11:47 AM   in reply to Andrehilkens

    I'm having the same issue. I'm using the newest plugin as posted above but get the following error message, "Unexpected error performing command: bad argument #1 to 'lower' (string expected, got nil)." This is a clean installation for me on a new hard drive and I haven't installed PS yet. Is that required to make this plugin work?

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 11:55 AM   in reply to Julie McLeod

    Julie and Lukaav, what I am trying to say is that we are not aware of an issue with the plug-ins, whether installing them, or compatibility, or anything else, with Lightroom 4. However, we are seeing reports about the Edit In function not working, but not everyone is seeing this issue. For some, simply reinstalling the application fixes the issue, for others this is not the case. Our engineers are investigating the issue, but we don't have a lot to go on yet, hence the lack of response on the forum post. But it is something that is being worked on, and when we get some answers, we'll post them.

     

    It's interesting Lukaav, that installing a Photoshop CS5 trial allowed things to start working. The Edit In command is working for all of your external editors now? Not just Photoshop CS5 but Topaz, NIK, etc? If that is true, it might give us a clue as to what is happening and how to fix it.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 12:01 PM   in reply to Brett N

    I had the same issue. Once I installed LR4 on my Windows 7 64 bit machine no external editor would work (NIK's Silver Efex Pro - latest version 2.004pl posted 3/6/12 or any other non-NIK software). All I got was "Unexpected error performing command:bad argument #1 to 'lower' (string expected, got nil)". I tried removing and installing Silver Efex without success. The fix for me was to install the PS CS5 demo (which first required to installed the Adobe Download Assistant which required Adobe AIR to be installed). Now all external editors (NIK and non-NIK) are working just like with LR3.6 (never tried LR4 beta).

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 12:10 PM   in reply to Brett N

    If it helps any.............the NIK software installs properly.  What

    happens is when you go to "edit in" and select a NIK software program

    such as Define, etc.  This is when you get the error.  I don't use

    photoshop, but after installing a trial software of Elements, I went

    back to LR4 and the "edit in" function work fine and no errors.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 12:31 PM   in reply to Brett N

    Hello Brett!

    The updated Nik Plugins won't help,

    but installing CS5 Demo on my Mac did help;

    and as I tested the LR4 beta Nik-plugins workd fine both with LR3 and LR4

    Interesting installing some other Adobe product like PSE or CS5

    heals the failing area

    Ther error clearly comes from the final version LR4

    and not from the Nik Plugins, other Plugin Software like Topaz have the same problems

    working with LR4

    cheers

    /Karl

     

    I am developing software since Turbo C++ 1.0 ;-)

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 1:46 PM   in reply to Brett N

    @ Brett N

     

    Thank you for the reply.  It's good to know that the engineers are aware of the issue of the Edit In command not working for some/many users.  I can send tracklogs if anyone wants to get in touch with me about this, otherwise I look forward to hearing of a resolution at some point.  Can you tell me where I would look for that reply?

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 1:51 PM   in reply to Andrehilkens

    So re-install PSE and everything should be fine? I'm interested to know if this is also true on a Mac (10.7.3)? I've noticed that with Windows users, you at least get some sort of an error - I am getting nothing. Just inaction.

     

    I will try re-installing PSE when I get back home.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:03 PM   in reply to Brett N

    Brett: someone suggested trying to uninstall the NIK software, then re-install. I tried that with Viveza 2, and it wouldn't accept the product keys. I tried Pro Efexs 4, and got the same result. I've got the latest versions of both. I'm sticking solely with Lightroom, and do not intend to buy a version of Photoshop just to get things working again. Luckily, I still have LR-3 operable, where the NIK software still works fine. 

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:08 PM   in reply to Brett N

    I tried uninstalling Viveza 2, then re-installing it. It wouldn't accept the product keys that were originally sent to me. Looks like they should just issue all of us the Beta version (or a free version of PE) and call it good night. 

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:11 PM   in reply to CEBImagery

    I tried it, and it didn't work. Hmm, could this be a plot to get us all to buy a version of Elements or the CS series? Seems to be the only trick that works

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:15 PM   in reply to achrysostomou

    @achrysostomou

     

    For what it's worth, I have un-installed PSE10 twice now and continue to have the Edit In failure.  Same as you describe - there is no error message, it just fails to send the image to PSE.  I am on OS 10.7.3.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:18 PM   in reply to calsteve@pacbell.net

    Like I said before, maybe it's all just a plot to get us to buy the latest version of Elements; seems to be the only thing that works right now. I can't even get NIK to accept the Product keys they gave me when I uninstalled, then re-installed Viveza 2.  Amazing. LR-3 was working just fine. They could have waited until this problem was fixed. And if they didn't realize there was a problem, it's obvious it wasn't thoroughly tested before launching.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:21 PM   in reply to Julie McLeod

    Julie: I uninstalled, then re-installed Viveza 2, and NIK wouldn't accept the product key they gave me. This is all amazing to me. Stuff like this can put pros out of business. From what I've read, the only ones who are having any luck are the people who are installing Elements.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:24 PM   in reply to 7thsojourn

    @7thsojourn

     

    I'm not sure that is necessarily the solution.  I have a purchased copy of the latest version of Photoshop Elements and have now reinstalled it twice.  I still cannot Edit In any external editor listed, including Photoshop Elements.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:32 PM   in reply to Julie McLeod

    Isn't this something? When I went from LR-2 to LR-3, this problem didn't exist. I'm beginning to wonder just what they might have put in the new version that's blocking the use of (in my case) the NIK and Topaz software? Luckily, I still have LR-3 in use. I can still do everything in that.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:37 PM   in reply to Julie McLeod

    Mac or PC?

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:38 PM   in reply to calsteve@pacbell.net

    @Calsteve

     

    I'm on Mac OC 10.7.3

     

    @7thsojourn

     

    I'm going to have to revert to LR3 too until they get this sorted out. 

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:38 PM   in reply to calsteve@pacbell.net

    Brand new iMac.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:42 PM   in reply to Julie McLeod

    Hi,

     

    Quoting what I already explained in another thread:

     

    This error message is typical of a "dangling pointer" problem (in developer parlance). The "lower" function which converts a character string to lowercase, receives an argument that is a pointer (memory address) to the character string that should be converted. In that case, the pointer is invalid or null. This kind of bug may or may not cause a crash depending of the value (wrong address) contained in the pointer variable. This is just a matter of memory layout. So the bug affects everybody but in some cases it has no consequences. In other cases, it causes a crash that the system may (Windows) or may not (Mac) notify to the user.

     

    Typically, this kind of bug originates in "last moment changes" made to a piece of code that is not  re-tested afterwards (it was not present in the beta version).

     

    When you install another program like PS or PSE, you also install some services that were not there before. These modules are loaded when the system starts. So when you re-launch LR4, it is no longer loaded at the same memory address. This may (or may not) change the "dangling pointer" value. The value will always be invalid but in some cases this will do no harm.

     

    This kind of behavior is typical with such bugs. Loading another program first may (apparently) fix the problem. Installing another application may have the same effect... or not. This is just random and this is what is observed. The "PSE fix" works for some users and doesn't work for others. I guess you could obtain similar results when installing/uninstalling another application. Don't waste your time with these tests. The problem is a plain old classical pointer bug. The error message is unambiguous. It clearly explains what's happening and where. It should be easy for the developers at Adobe to spot this coding problem quickly.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:48 PM   in reply to Samoreen

    @Samoreen

     

    Thank you for your detailed and technical explanation.  Much appreciated.  Once the engineers identify the coding problem, I wonder how long it would take to get a fix pushed out?

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 7, 2012 2:49 PM   in reply to Julie McLeod

    Thanks!  I'm not sure about the Mac problem but after installing a trail

    edition of Elements (not starting the program, just install) I went back

    to LR4 and all the plug ins worked properly and are still working fine. 

    When they ever find a solution to the problem, I will uninstall Elements

    and see what happens.  I am using PC windows 7 64 bit.

     
    |
    Mark as:
1 2 3 4 ... 8 Previous Next
Actions

More Like This

  • Retrieving data ...

Bookmarked By (1)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points